#include "mbed.h"

Serial pc(USBTX,USBRX);
DigitalOut red[4] = {dp2, dp1, dp28, dp6};
DigitalIn kolona[4]  = {dp9, dp10, dp11, dp13};
Ticker prekid;

char OcitajSaTastature()
{

    for(int i = 0; i < 4; i++)
    {
        red[i] = 0;
    }

    for(int i = 0; i < 4; i++)
    {
        red[i] = 1;

        for(int j = 0; j < 4; j++)
        {
            if(kolona[j] == 1)
            {

                if(i < 3 && j < 3) return '0' + i * 3 + j + 1;
                else if(j == 3) return 'A' + i;
                else if(i == 3)
                {
                    if(j == 0) return '\n';
                    if(j == 1) return '0';
                    if(j == 2) return '#';
                }
            }
        }

        red[i] = 0;
    }
}

void PrikaziNaKonzoli()
{
    char c = OcitajSaTastature();
    pc.putc(c);
}

int main()
{

    prekid.attach(&PrikaziNaKonzoli, 0.1);
    while(1) {}
}
